"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("app-module-path/register");
const dotenv_1 = require("dotenv");
dotenv_1.config();
require("enve");
const verify_1 = require("lib/jwt/verify");
const cookieParser = require("cookie-parser");
const bodyParser = require("body-parser");
const Express = require("express");
const path_1 = require("path");
const router_1 = require("api/router");
const app = Express();
if (process.enve.NODE_ENV == 'development') {
    // Needed to allow communication from webpack-dev-server host
    app.use((req, res, next) => {
        res.header('Access-Control-Allow-Origin', process.enve.ACCOWNT_WEB_URL);
        res.header('Access-Control-Allow-Methods', 'GET, POST, OPTIONS, PUT, DELETE');
        res.header('Access-Control-Allow-Headers', 'Origin, X-Requested-With, Content-Type, Accept');
        res.header('Access-Control-Allow-Credentials', 'true');
        next();
    });
}
app.use(process.enve.STATIC_PATH, Express.static(path_1.resolve(process.enve.WEB_DIRECTORY, 'dist')));
app.use(bodyParser.urlencoded({ extended: true, limit: '2mb' }));
app.use(bodyParser.json({ limit: '2mb' }));
app.use(cookieParser());
app.use(verify_1.verifyRequestJWT);
app.use('/api', router_1.router);
app.get('/*', (req, res) => res.sendFile(path_1.resolve(process.enve.WEB_DIRECTORY, 'dist', 'index.html')));
app.use((err, req, res, next) => {
    let status;
    let error;
    // Error for user to see
    if (typeof err == 'string') {
        status = 400;
        error = err;
    }
    // Unexpected error
    else {
        console.error(err.stack);
        status = 500;
        error = 'Something went wrong...';
    }
    // Redirect and display error in app
    if (req.redirect)
        res.redirect(`${process.enve.ACCOWNT_WEB_URL}?error=${encodeURIComponent(error)}`);
    // Return error to API client
    else
        res.status(status).json({ error });
});
app.listen(process.enve.PORT, () => console.log('Listening on', process.enve.PORT));
//# sourceMappingURL=app.js.map