"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const speakeasy = require("speakeasy");
const storage = require("node-persist");
const qr = require("qrcode");
const { STORAGE, NAME } = process.enve;
async function setTOTP(userId, enabled) {
    await storage.init(STORAGE);
    const user = await storage.getItem(`user-${userId}`);
    if (!enabled) {
        user.totpSecret = null;
        await storage.setItem(`user-${userId}`, user);
        return {};
    }
    else {
        const { ascii: secret } = speakeasy.generateSecret({
            issuer: NAME,
            name: user.email
        });
        let url = speakeasy.otpauthURL({
            //algorithm: 'sha512',
            issuer: NAME,
            secret,
            label: `${NAME}:${encodeURIComponent(user.email)}`
        });
        url = await new Promise((resolve, reject) => qr.toDataURL(url, (e, u) => (e ? reject(e) : resolve(u))));
        user.totpSecret = secret;
        await storage.setItem(`user-${userId}`, user);
        return { url, secret };
    }
}
exports.setTOTP = setTOTP;
//# sourceMappingURL=set-totp.js.map