"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jwt = require("jsonwebtoken");
const { JWT_KEY, JWT_COOKIE_NAME } = process.enve;
function verifyJWT(encoded) {
    return new Promise((resolve, reject) => jwt.verify(encoded, JWT_KEY, {}, (err, token) => err ? reject(err) : resolve(token)));
}
exports.verifyJWT = verifyJWT;
async function verifyRequestJWT(req, res, next) {
    try {
        // JWT from URL via email
        if (req.query.jwt)
            req.jwt = await verifyJWT(req.query.jwt);
        // JWT from cookie
        else if (req.cookies[JWT_COOKIE_NAME])
            req.jwt = await verifyJWT(req.cookies[JWT_COOKIE_NAME]);
        // Nothing to verify
        else
            throw 'No JWT provided';
    }
    catch (err) {
        req.jwt = null;
        if (req.cookies[JWT_COOKIE_NAME])
            res.clearCookie(JWT_COOKIE_NAME);
    }
    next();
}
exports.verifyRequestJWT = verifyRequestJWT;
//# sourceMappingURL=verify.js.map