"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const to_id_1 = require("lib/email/to-id");
const storage = require("node-persist");
const sign_1 = require("lib/jwt/sign");
const { STORAGE, JWT_EXPIRES_IN } = process.enve;
async function finishRegistration(jwt) {
    if (jwt === null)
        throw 'Invalid or expired token';
    // Verify JWT's userId matches the userId that the JWT's email points to
    // This way only the most recent email verification JWT is valid since it
    // will point to the newest user
    const userId = await to_id_1.emailToId(jwt.email);
    if (userId != jwt.userId)
        throw 'This token has been invalidated by a newer one';
    // Verify user's email
    await storage.init(STORAGE);
    const user = await storage.getItem(`user-${jwt.userId}`);
    user.verified = true;
    await storage.setItem(`user-${jwt.userId}`, user);
    return await sign_1.signJWT(jwt.userId, jwt.email, JWT_EXPIRES_IN);
}
exports.finishRegistration = finishRegistration;
//# sourceMappingURL=finish.js.map